PATCH: Items · Menu Import API
PATCH: Items
PATCH
/dbapi/SortimentImport/SortimentItems{?brandId,sortId}The following resources are available:
This PATCH resource will update the prices of one or more
items.The items are identified by their unique ID. What the unique ID looks like depends on the configured expert settings in the importer setting of the respective cashpoint. It can be either just the
PLUor a combination of thePLUand theSortimentGroupPLU.Detailed information about JSON Patch: https://jsonpatch.com/, https://datatracker.ietf.org/doc/html/rfc6902
Parameter
brandIdlongErforderlichThe menio partnership ID
sortIdlongErforderlichThe menio cashpoint ID
Request-Header
Content-Typeapplication/jsonAuthorizationusr={username}&pwd={password}Kontext: Item import | Coming soon
The same general information as in Menu import applies here.
Originaler Blueprint-Ausschnitt
API Blueprint
### PATCH: Items [PATCH /dbapi/SortimentImport/SortimentItems{?brandId,sortId}]
- This PATCH resource will update the prices of one or more [`items`](#refItem).
- The items are identified by their unique ID. What the unique ID looks like depends on the configured expert settings in the importer setting of the respective cashpoint. It can be either just the [`PLU`](#refItem) or a combination of the [`PLU`](#refItem) and the [`SortimentGroupPLU`](#refItem).
- Detailed information about JSON Patch: https://jsonpatch.com/, https://datatracker.ietf.org/doc/html/rfc6902
+ Parameters
+ brandId (long, required) - The qnips partnership ID
+ sortId (long, required) - The qnips cashpoint ID
+ Request (application/json)
+ Headers
Authorization: usr={username}&pwd={password}
+ Body
{
"qni-1736931729702_qni-1614937703333": [
{ "op": "add", "path": "/-", "value": { "PriceTagId": "EXAMPLE_ID_1", "CurrencyIso": "EUR", "Value": "4.99" } },
{ "op": "add", "path": "/0", "value": { "PriceTagId": "EXAMPLE_ID_2", "CurrencyIso": "EUR", "Value": "2.99" } },
{ "op": "replace", "path": "/0/Value", "value": "3.49" }
],
"qni-1649114564787_qni-1615470000000": [
{ "op": "remove", "path": "/0" }
]
}
+ Response 200 (application/json)
{
"Updated": 1,
"UnmodifiedIds": [
"qni-1655827236282_qni-1652101284576"
],
"UnknownIds": [
"qni-1649114564787_qni-1615470000000"
],
"FailedIds": {
"qni-1660518835150_qni-1614937703333": "The value '[]' is invalid for target location."
}
}